/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-09-29
 * 描述            ：分条机排刀-参数设置
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Dev.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Dev.mapper.DevSlapConfigMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="DEV_SLAP_CONFIG", namespace=DevSlapConfigMapper.class)
public class DevSlapConfig extends BaseVO implements Serializable {
	/** 
	 * 机台代码
	 */ 
	@Id
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 刀轴宽度（mm）
	 */ 
	@Column
	private Double blade_shaft_wdt;
	public Double getBlade_shaft_wdt() {
		return this.blade_shaft_wdt;
	}
	public void setBlade_shaft_wdt(Double blade_shaft_wdt) {
		this.blade_shaft_wdt = blade_shaft_wdt;
	}

	/** 
	 * 刀片宽度（mm）
	 */ 
	@Column
	private Double blade_wdt;
	public Double getBlade_wdt() {
		return this.blade_wdt;
	}
	public void setBlade_wdt(Double blade_wdt) {
		this.blade_wdt = blade_wdt;
	}

	/** 
	 * 刀隙值（mm）
	 */ 
	@Column
	private Double gap_wdt;
	public Double getGap_wdt() {
		return this.gap_wdt;
	}
	public void setGap_wdt(Double gap_wdt) {
		this.gap_wdt = gap_wdt;
	}

	/** 
	 * 排刀套数（圆盘剪组数）
	 */ 
	@Column
	private Long cutter_num;
	public Long getCutter_num() {
		return this.cutter_num;
	}
	public void setCutter_num(Long cutter_num) {
		this.cutter_num = cutter_num;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
